Index

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z 
All Classes and Interfaces|All Packages|Constant Field Values|Serialized Form

A

A128CBC_HS256 - Enum constant in enum class io.helidon.security.jwt.EncryptedJwt.SupportedEncryption
Cipher AES/CBC/PKCS5Padding will be used for content encryption and 128 bit key will be generated.
A128GCM - Enum constant in enum class io.helidon.security.jwt.EncryptedJwt.SupportedEncryption
Cipher AES/GCM/NoPadding will be used for content encryption and 128 bit key will be generated.
A192CBC_HS384 - Enum constant in enum class io.helidon.security.jwt.EncryptedJwt.SupportedEncryption
Cipher AES/CBC/PKCS5Padding will be used for content encryption and 192 bit key will be generated.
A192GCM - Enum constant in enum class io.helidon.security.jwt.EncryptedJwt.SupportedEncryption
Cipher AES/GCM/NoPadding will be used for content encryption and 192 bit key will be generated.
A256CBC_HS512 - Enum constant in enum class io.helidon.security.jwt.EncryptedJwt.SupportedEncryption
Cipher AES/CBC/PKCS5Padding will be used for content encryption and 256 bit key will be generated.
A256GCM - Enum constant in enum class io.helidon.security.jwt.EncryptedJwt.SupportedEncryption
Cipher AES/GCM/NoPadding will be used for content encryption and 256 bit key will be generated.
AbacAnnotation - Annotation Interface in io.helidon.security.providers.abac
Meta annotation for ABAC attribute annotations.
abacAttribute(String) - Method in interface io.helidon.security.util.AbacSupport
Get the property (optional) value.
abacAttributeNames() - Method in class io.helidon.security.EndpointConfig
 
abacAttributeNames() - Method in class io.helidon.security.Grant
 
abacAttributeNames() - Method in class io.helidon.security.SecurityEnvironment
 
abacAttributeNames() - Method in class io.helidon.security.Subject
 
abacAttributeNames() - Method in interface io.helidon.security.util.AbacSupport
A collection of all property names in this container.
abacAttributeNames() - Method in class io.helidon.security.util.AbacSupport.BasicAttributes
 
abacAttributeRaw(String) - Method in class io.helidon.security.EndpointConfig
 
abacAttributeRaw(String) - Method in class io.helidon.security.Grant
 
abacAttributeRaw(String) - Method in class io.helidon.security.SecurityEnvironment
 
abacAttributeRaw(String) - Method in class io.helidon.security.Subject
 
abacAttributeRaw(String) - Method in interface io.helidon.security.util.AbacSupport
Return the actual property value or null if not present.
abacAttributeRaw(String) - Method in class io.helidon.security.util.AbacSupport.BasicAttributes
 
AbacProvider - Class in io.helidon.security.providers.abac
Attribute based access control (ABAC) provider.
AbacProvider.Builder - Class in io.helidon.security.providers.abac
A fluent API builder for AbacProvider.
AbacProviderService - Class in io.helidon.security.providers.abac
A java service to register this provider with Security.
AbacProviderService() - Constructor for class io.helidon.security.providers.abac.AbacProviderService
 
AbacSupport - Interface in io.helidon.security.util
A simple registry of keys to values for reading.
AbacSupport.BasicAttributes - Class in io.helidon.security.util
Implements AbacSupport interface and supports adding attributes.
AbacValidator<T> - Interface in io.helidon.security.providers.abac.spi
Service interface for attribute based access control (ABAC) validator.
AbacValidatorConfig - Interface in io.helidon.security.providers.abac
Marker interface for classes that define custom objects for attribute based access control (ABAC).
AbacValidatorService - Interface in io.helidon.security.providers.abac.spi
Service to use with ServiceLoader to map configuration to AbacValidator.
abandonedConnectionTimeout() - Method in interface io.helidon.data.sql.datasource.ucp.UcpDataSourceConfig
Sets the abandoned connection timeout.
abandonedConnectionTimeout() - Method in class io.helidon.data.sql.datasource.ucp.UcpDataSourceConfig.BuilderBase
Sets the abandoned connection timeout.
abandonedConnectionTimeout() - Method in class io.helidon.data.sql.datasource.ucp.UcpDataSourceConfig.BuilderBase.UcpDataSourceConfigImpl
 
abandonedConnectionTimeout(int) - Method in class io.helidon.data.sql.datasource.ucp.UcpDataSourceConfig.BuilderBase
Sets the abandoned connection timeout.
abort(Executor) - Method in class io.helidon.integrations.jdbc.ConditionallyCloseableConnection
 
abort(Executor) - Method in class io.helidon.integrations.jdbc.DelegatingConnection
 
aborted(SecurityResponse, Response.ResponseBuilder) - Method in interface io.helidon.microprofile.security.spi.SecurityResponseMapper
Called when a security response is aborted due to a security problem (e.g.
aborted(ServerResponse, SecurityResponse, String) - Method in interface io.helidon.webserver.security.SecurityResponseMapper
Called when a security response is aborted due to a security problem (e.g.
ABORTED - Static variable in class io.helidon.webserver.grpc.GrpcStatus
The operation was aborted, typically due to a concurrency issue like sequencer check failures, transaction aborts, etc.
abortPollTimeExpired() - Method in interface io.helidon.webclient.grpc.GrpcClientProtocolConfig
Whether to continue retrying after a poll wait timeout expired or not.
abortPollTimeExpired() - Method in class io.helidon.webclient.grpc.GrpcClientProtocolConfig.BuilderBase
Whether to continue retrying after a poll wait timeout expired or not.
abortPollTimeExpired() - Method in class io.helidon.webclient.grpc.GrpcClientProtocolConfig.BuilderBase.GrpcClientProtocolConfigImpl
 
abortPollTimeExpired(boolean) - Method in class io.helidon.webclient.grpc.GrpcClientProtocolConfig.BuilderBase
Whether to continue retrying after a poll wait timeout expired or not.
abortRequest(SecurityFilterContext, SecurityResponse, int, Map<String, List<String>>) - Method in class io.helidon.microprofile.security.SecurityFilter
 
absolute() - Method in interface io.helidon.common.uri.UriPath
If this instance represents a path relative to some context root then returns absolute requested path otherwise returns this instance.
absolute() - Method in interface io.helidon.http.RoutedPath
If this instance represents a path relative to some context root then returns absolute requested path otherwise returns this instance.
absolute(int) - Method in class io.helidon.integrations.jdbc.DelegatingResultSet
 
absoluteLocation() - Method in interface io.helidon.metadata.MetadataFile
Absolute location of this resource, such as absolute path on the file system, or on the classpath.
absoluteName() - Element in annotation interface io.helidon.metrics.api.Metrics.Counted
Whether the defined name in Metrics.Counted.value() is an absolute name, or relative to the class containing the annotated element.
absoluteName() - Element in annotation interface io.helidon.metrics.api.Metrics.Gauge
Whether the defined name in Metrics.Gauge.value() is an absolute name, or relative to the class containing the annotated element.
absoluteName() - Element in annotation interface io.helidon.metrics.api.Metrics.Timed
Whether the defined name in Metrics.Timed.value() is an absolute name, or relative to the class containing the annotated element.
abstain() - Static method in class io.helidon.security.AuthenticationResponse
Provider returning this response is not capable to make a decision (e.g.
abstain() - Static method in class io.helidon.security.AuthorizationResponse
This provider is not capable of making a decision about the resource (e.g.
abstain() - Static method in class io.helidon.security.OutboundSecurityResponse
Abstain from processing this request.
abstain() - Static method in class io.helidon.security.providers.common.spi.AnnotationAnalyzer.AnalyzerResponse
Create an abstain response (e.g.
abstain(AnnotationAnalyzer.AnalyzerResponse) - Static method in class io.helidon.security.providers.common.spi.AnnotationAnalyzer.AnalyzerResponse
Create an abstain response (e.g.
ABSTAIN - Enum constant in enum class io.helidon.security.providers.common.spi.AnnotationAnalyzer.Flag
This analyzer is not capable of asserting the need to do security - carry on as if it did not exist.
ABSTAIN - Enum constant in enum class io.helidon.security.SecurityResponse.SecurityStatus
Cannot process, not an error.
ABSTRACT - Enum constant in enum class io.helidon.common.types.Modifier
The abstract modifier.
AbstractCommonDataSource - Class in io.helidon.integrations.jdbc
A JDBC 4.3-compliant skeletal implementation of the CommonDataSource interface.
AbstractCommonDataSource() - Constructor for class io.helidon.integrations.jdbc.AbstractCommonDataSource
AbstractConfigSource - Class in io.helidon.config
A base implementation for config sources, that combines configuration from any type of a config source.
AbstractConfigSource(AbstractConfigSourceBuilder<?, ?>) - Constructor for class io.helidon.config.AbstractConfigSource
Use common data from the builder to setup media type, parser, media type mapping, and parser mapping on this instance.
AbstractConfigSourceBuilder<B,U> - Class in io.helidon.config
Common ancestor for config source builders, taking care of configurable options understood by the config module.
AbstractConfigSourceBuilder() - Constructor for class io.helidon.config.AbstractConfigSourceBuilder
There is no side effect.
AbstractConfigurableExtension<T> - Class in io.helidon.integrations.cdi.configurable
A convenient, abstract Extension whose subclasses arrange for instances of a particular type to be configured and added as CDI beans.
AbstractConfigurableExtension() - Constructor for class io.helidon.integrations.cdi.configurable.AbstractConfigurableExtension
AbstractDataSource - Class in io.helidon.integrations.jdbc
A JDBC 4.3-compliant, skeletal implementation of the DataSource interface.
AbstractDataSource() - Constructor for class io.helidon.integrations.jdbc.AbstractDataSource
Creates a new AbstractDataSource.
AbstractDataSourceExtension - Class in io.helidon.integrations.datasource.cdi
An AbstractConfigurableExtension whose subclasses arrange for DataSource instances to be added as CDI beans.
AbstractDataSourceExtension() - Constructor for class io.helidon.integrations.datasource.cdi.AbstractDataSourceExtension
AbstractLogEntry - Class in io.helidon.webserver.accesslog
Common log entry features.
AbstractLogEntry(AbstractLogEntry.Builder<?, ?>) - Constructor for class io.helidon.webserver.accesslog.AbstractLogEntry
Create a new instance using a builder.
AbstractLogEntry.Builder<R,T> - Class in io.helidon.webserver.accesslog
A fluent API builder for AbstractLogEntry.
AbstractNodeBuilderImpl<ID,B> - Class in io.helidon.config
AbstractNodeBuilderImpl.MergingKey - Class in io.helidon.config
Internal config node key useful during internal structure building.
AbstractParametersProvider - Class in io.helidon.declarative.codegen.http.webserver
A provider of parameters when code generating call of methods with annotated parameter, such as HTTP headers, path parameters etc.
AbstractParametersProvider() - Constructor for class io.helidon.declarative.codegen.http.webserver.AbstractParametersProvider
Constructor with no side effects.
AbstractServiceBuilder - Class in io.helidon.microprofile.grpc.core
A base class for gRPC service and client descriptor builders.
AbstractServiceBuilder(Class<?>, Supplier<?>) - Constructor for class io.helidon.microprofile.grpc.core.AbstractServiceBuilder
Create a new introspection modeller for a given gRPC service class.
AbstractSource - Class in io.helidon.config
Source options as a super set of all possible combinations of source implementation.
AbstractSource(AbstractSourceBuilder<?, ?>) - Constructor for class io.helidon.config.AbstractSource
A new instance configured from the provided builder.
AbstractSourceBuilder<B,U> - Class in io.helidon.config
Base class for common builder methods of a Source implementation.
AbstractSourceBuilder() - Constructor for class io.helidon.config.AbstractSourceBuilder
No side effects.
AbstractTracingFilter - Class in io.helidon.tracing.jersey
Tracing filter base.
AbstractTracingFilter() - Constructor for class io.helidon.tracing.jersey.AbstractTracingFilter
 
accept(MediaType...) - Method in interface io.helidon.http.ClientRequestHeaders
Accepted media types.
accept(MediaType...) - Method in interface io.helidon.webclient.api.ClientRequest
Accepted media types.
accept(HttpMediaType...) - Method in interface io.helidon.webclient.api.ClientRequest
Accepted media types.
accept(Class<?>, Class<?>, GrpcServiceDescriptor.Builder) - Method in interface io.helidon.microprofile.grpc.server.AnnotatedServiceConfigurer
Apply modifications to a GrpcServiceDescriptor.Builder.
accept(T) - Method in interface io.helidon.common.Functions.CheckedConsumer
Accept an item.
accept(T, U) - Method in interface io.helidon.common.Functions.CheckedBiConsumer
Accept an item.
ACCEPT - Static variable in class io.helidon.http.HeaderNames
The "Accept" header name.
ACCEPT_CHARSET - Static variable in class io.helidon.http.HeaderNames
The "Accept-Charset" header name.
ACCEPT_CHARSET_NAME - Static variable in class io.helidon.http.HeaderNames
The "Accept-Charset" header name.
ACCEPT_DATETIME - Static variable in class io.helidon.http.HeaderNames
The "Accept-Datetime" header name.
ACCEPT_DATETIME_NAME - Static variable in class io.helidon.http.HeaderNames
The "Accept-Datetime" header name.
ACCEPT_ENCODING - Static variable in class io.helidon.http.HeaderNames
The "Accept-Encoding" header name.
ACCEPT_ENCODING_NAME - Static variable in class io.helidon.http.HeaderNames
The "Accept-Encoding" header name.
ACCEPT_EVENT_STREAM - Static variable in class io.helidon.http.HeaderValues
Accept text/event-stream.
ACCEPT_JSON - Static variable in class io.helidon.http.HeaderValues
Accept application/json.
ACCEPT_LANGUAGE - Static variable in class io.helidon.http.HeaderNames
The "Accept-Language" header name.
ACCEPT_LANGUAGE_NAME - Static variable in class io.helidon.http.HeaderNames
The "Accept-Language" header name.
ACCEPT_NAME - Static variable in class io.helidon.http.HeaderNames
The "Accept" header name.
ACCEPT_PATCH - Static variable in class io.helidon.http.HeaderNames
The "Accept-Patch" header name.
ACCEPT_PATCH_NAME - Static variable in class io.helidon.http.HeaderNames
The "Accept-Patch" header name.
ACCEPT_RANGES - Static variable in class io.helidon.http.HeaderNames
The "Accept-Ranges" header name.
ACCEPT_RANGES_BYTES - Static variable in class io.helidon.http.HeaderValues
Accept byte ranges for file download.
ACCEPT_RANGES_NAME - Static variable in class io.helidon.http.HeaderNames
The "Accept-Ranges" header name.
ACCEPT_RANGES_NONE - Static variable in class io.helidon.http.HeaderValues
Not accepting byte ranges for file download.
ACCEPT_TEXT - Static variable in class io.helidon.http.HeaderValues
Accept text/plain with UTF-8.
acceptDatetime() - Method in interface io.helidon.http.ServerRequestHeaders
Optionally returns acceptedTypes version in time (HeaderNames.ACCEPT_DATETIME header).
accepted() - Method in record class io.helidon.http.PathMatchers.MatchResult
Returns the value of the accepted record component.
accepted() - Method in record class io.helidon.http.PathMatchers.PrefixMatchResult
Returns the value of the accepted record component.
ACCEPTED - Enum constant in enum class io.helidon.common.concurrency.limits.LimitAlgorithm.Outcome.Disposition
Algorithm accepts the work.
ACCEPTED_202 - Static variable in class io.helidon.http.Status
202 Accepted, see HTTP/1.1 documentation.
ACCEPTED_202_CODE - Static variable in class io.helidon.http.Status
202 Accepted, see HTTP/1.1 documentation.
acceptedMediaTypes() - Method in interface io.helidon.http.media.gson.GsonSupportConfig
Types accepted by this media support.
acceptedMediaTypes() - Method in class io.helidon.http.media.gson.GsonSupportConfig.BuilderBase.GsonSupportConfigImpl
Types accepted by this media support.
acceptedMediaTypes() - Method in interface io.helidon.http.media.jackson.JacksonSupportConfig
Types accepted by this media support.
acceptedMediaTypes() - Method in class io.helidon.http.media.jackson.JacksonSupportConfig.BuilderBase.JacksonSupportConfigImpl
Types accepted by this media support.
acceptedMediaTypes() - Method in interface io.helidon.http.media.json.binding.JsonBindingSupportConfig
Types accepted by this media support.
acceptedMediaTypes() - Method in class io.helidon.http.media.json.binding.JsonBindingSupportConfig.BuilderBase.JsonBindingSupportConfigImpl
Types accepted by this media support.
acceptedMediaTypes() - Method in interface io.helidon.http.media.json.JsonSupportConfig
Types accepted by this media support.
acceptedMediaTypes() - Method in class io.helidon.http.media.json.JsonSupportConfig.BuilderBase.JsonSupportConfigImpl
Types accepted by this media support.
acceptedMediaTypes() - Method in interface io.helidon.http.media.json.smile.SmileSupportConfig
Types accepted by this media support.
acceptedMediaTypes() - Method in class io.helidon.http.media.json.smile.SmileSupportConfig.BuilderBase.SmileSupportConfigImpl
Types accepted by this media support.
acceptedMediaTypes() - Method in interface io.helidon.http.media.jsonb.JsonbSupportConfig
Types accepted by this media support.
acceptedMediaTypes() - Method in class io.helidon.http.media.jsonb.JsonbSupportConfig.BuilderBase.JsonbSupportConfigImpl
Types accepted by this media support.
acceptedMediaTypes() - Method in interface io.helidon.http.media.jsonp.JsonpSupportConfig
Types accepted by this media support.
acceptedMediaTypes() - Method in class io.helidon.http.media.jsonp.JsonpSupportConfig.BuilderBase.JsonpSupportConfigImpl
Types accepted by this media support.
acceptedMediaTypes() - Method in interface io.helidon.http.media.MediaSupportConfig
Types accepted by this media support.
acceptedMediaTypes() - Method in class io.helidon.http.media.MediaSupportConfig.BuilderBase
Types accepted by this media support.
acceptedMediaTypes() - Method in class io.helidon.http.media.MediaSupportConfig.BuilderBase.MediaSupportConfigImpl
 
acceptedMediaTypes(Set<? extends MediaType>) - Method in class io.helidon.http.media.MediaSupportConfig.BuilderBase
Types accepted by this media support.
acceptedMethods() - Method in interface io.helidon.http.MethodPredicate
Methods accepted by this predicate, may be empty.
acceptedTypes() - Method in interface io.helidon.http.Headers
Returns a list of acceptedTypes (HeaderNames.ACCEPT header) content discoveryTypes in quality factor order.
acceptEither(CompletionStage<? extends T>, Consumer<? super T>) - Method in class io.helidon.common.reactive.CompletionAwaitable
 
acceptEither(CompletionStage<? extends T>, Consumer<? super T>) - Method in interface io.helidon.common.reactive.Single
 
acceptEitherAsync(CompletionStage<? extends T>, Consumer<? super T>) - Method in class io.helidon.common.reactive.CompletionAwaitable
 
acceptEitherAsync(CompletionStage<? extends T>, Consumer<? super T>) - Method in interface io.helidon.common.reactive.Single
 
acceptEitherAsync(CompletionStage<? extends T>, Consumer<? super T>, Executor) - Method in class io.helidon.common.reactive.CompletionAwaitable
 
acceptEitherAsync(CompletionStage<? extends T>, Consumer<? super T>, Executor) - Method in interface io.helidon.common.reactive.Single
 
acceptPatches() - Method in interface io.helidon.http.ClientResponseHeaders
Accepted patches.
acceptPattern(Pattern) - Method in class io.helidon.integrations.oci.secrets.configsource.SecretBundleLazyConfigSource.Builder
Sets the Pattern that will dictate which configuration property names are allowed to reach a SecretBundleLazyConfigSource instance.
accepts(HttpPrologue) - Method in interface io.helidon.webserver.http.HttpRoute
Whether this route accept the provided request.
accepts(HttpPrologue) - Method in class io.helidon.webserver.http1.Http1Route
 
accepts(HttpPrologue) - Method in class io.helidon.webserver.http2.Http2Route
 
accepts(HttpPrologue, ServerRequestHeaders) - Method in interface io.helidon.webserver.http.HttpRoute
Whether this route accept the provided request.
access() - Method in interface io.helidon.service.registry.Dependency
The access modifier on the injection point/receiver.
access() - Method in class io.helidon.service.registry.Dependency.BuilderBase
The access modifier on the injection point/receiver.
access() - Method in class io.helidon.service.registry.Dependency.BuilderBase.DependencyImpl
 
access(AccessModifier) - Method in class io.helidon.service.registry.Dependency.BuilderBase
The access modifier on the injection point/receiver.
ACCESS_CONTROL_ALLOW_CREDENTIALS - Static variable in class io.helidon.cors.CrossOriginConfig
Deprecated.
Header Access-Control-Allow-Credentials.
ACCESS_CONTROL_ALLOW_CREDENTIALS - Static variable in class io.helidon.http.HeaderNames
ACCESS_CONTROL_ALLOW_CREDENTIALS_NAME - Static variable in class io.helidon.http.HeaderNames
The "Access-Control-Allow-Credentials" header name.
ACCESS_CONTROL_ALLOW_HEADERS - Static variable in class io.helidon.cors.CrossOriginConfig
Deprecated.
Header Access-Control-Allow-Headers.
ACCESS_CONTROL_ALLOW_HEADERS - Static variable in class io.helidon.http.HeaderNames
ACCESS_CONTROL_ALLOW_HEADERS_NAME - Static variable in class io.helidon.http.HeaderNames
The "Access-Control-Allow-Headers" header name.
ACCESS_CONTROL_ALLOW_METHODS - Static variable in class io.helidon.cors.CrossOriginConfig
Deprecated.
Header Access-Control-Allow-Methods.
ACCESS_CONTROL_ALLOW_METHODS - Static variable in class io.helidon.http.HeaderNames
ACCESS_CONTROL_ALLOW_METHODS_NAME - Static variable in class io.helidon.http.HeaderNames
The "Access-Control-Allow-Methods" header name.
ACCESS_CONTROL_ALLOW_ORIGIN - Static variable in class io.helidon.cors.CrossOriginConfig
Deprecated.
Header Access-Control-Allow-Origin.
ACCESS_CONTROL_ALLOW_ORIGIN - Static variable in class io.helidon.http.HeaderNames
ACCESS_CONTROL_ALLOW_ORIGIN_NAME - Static variable in class io.helidon.http.HeaderNames
The "Access-Control-Allow-Origin" header name.
ACCESS_CONTROL_EXPOSE_HEADERS - Static variable in class io.helidon.cors.CrossOriginConfig
Deprecated.
Header Access-Control-Expose-Headers.
ACCESS_CONTROL_EXPOSE_HEADERS - Static variable in class io.helidon.http.HeaderNames
ACCESS_CONTROL_EXPOSE_HEADERS_NAME - Static variable in class io.helidon.http.HeaderNames
The "Access-Control-Expose-Headers" header name.
ACCESS_CONTROL_MAX_AGE - Static variable in class io.helidon.cors.CrossOriginConfig
Deprecated.
Header Access-Control-Max-Age.
ACCESS_CONTROL_MAX_AGE - Static variable in class io.helidon.http.HeaderNames
The "Access-Control-Max-Age" header name.
ACCESS_CONTROL_MAX_AGE_NAME - Static variable in class io.helidon.http.HeaderNames
The "Access-Control-Max-Age" header name.
ACCESS_CONTROL_REQUEST_HEADERS - Static variable in class io.helidon.cors.CrossOriginConfig
Deprecated.
Header Access-Control-Request-Headers.
ACCESS_CONTROL_REQUEST_HEADERS - Static variable in class io.helidon.http.HeaderNames
ACCESS_CONTROL_REQUEST_HEADERS_NAME - Static variable in class io.helidon.http.HeaderNames
The "Access-Control-Request-Headers" header name.
ACCESS_CONTROL_REQUEST_METHOD - Static variable in class io.helidon.cors.CrossOriginConfig
Deprecated.
Header Access-Control-Request-Method.
ACCESS_CONTROL_REQUEST_METHOD - Static variable in class io.helidon.http.HeaderNames
ACCESS_CONTROL_REQUEST_METHOD_NAME - Static variable in class io.helidon.http.HeaderNames
The "Access-Control-Request-Method" header name.
ACCESS_MODIFIER - Static variable in class io.helidon.common.types.TypeNames
Helidon access modifier (enum).
ACCESS_TOKEN_KEY - Static variable in class io.helidon.security.providers.idcs.mapper.IdcsRoleMapperProviderBase
Json key for token to be retrieved from IDCS response when requesting application token.
AccessLogCdiExtension - Class in io.helidon.microprofile.accesslog
Extension of MicroProfile to add support for access log.
AccessLogCdiExtension() - Constructor for class io.helidon.microprofile.accesslog.AccessLogCdiExtension
 
AccessLogConfig - Interface in io.helidon.webserver.accesslog
Configuration of access log feature.
AccessLogConfig.Builder - Class in io.helidon.webserver.accesslog
Fluent API builder for AccessLogFeature.
AccessLogConfig.BuilderBase<BUILDER,PROTOTYPE> - Class in io.helidon.webserver.accesslog
Fluent API builder base for AccessLogConfig.
AccessLogConfig.BuilderBase.AccessLogConfigImpl - Class in io.helidon.webserver.accesslog
Generated implementation of the prototype, can be extended by descendant prototype implementations.
AccessLogConfigImpl(AccessLogConfig.BuilderBase<?, ?>) - Constructor for class io.helidon.webserver.accesslog.AccessLogConfig.BuilderBase.AccessLogConfigImpl
Create an instance providing a builder.
AccessLogContext - Interface in io.helidon.webserver.accesslog
Context of the access log processing.
AccessLogEntry - Interface in io.helidon.webserver.accesslog
An entry generating data for access log.
AccessLogFeature - Class in io.helidon.webserver.accesslog
Service that adds support for Access logging to Server.
AccessLogFeatureProvider - Class in io.helidon.webserver.accesslog
ServiceLoader provider implementation for access log feature for WebServer.
AccessLogFeatureProvider() - Constructor for class io.helidon.webserver.accesslog.AccessLogFeatureProvider
Deprecated.
only for ServiceLoader
AccessLogHandler - Class in io.helidon.webserver.accesslog
Log handler to support separation of access log to its own file.
AccessLogHandler() - Constructor for class io.helidon.webserver.accesslog.AccessLogHandler
Construct a default AccessLogHandler.
AccessLogRoutingFeature - Class in io.helidon.webserver.accesslog
Service that adds support for Access logging to Server.
AccessLogRoutingFeature.Builder - Class in io.helidon.webserver.accesslog
A fluent API Builder for AccessLogRoutingFeature.
accessModifier() - Method in interface io.helidon.builder.codegen.OptionInfo
Access modifier of generated setter methods on builder.
accessModifier() - Method in class io.helidon.builder.codegen.OptionInfo.BuilderBase
Access modifier of generated setter methods on builder.
accessModifier() - Method in class io.helidon.builder.codegen.OptionInfo.BuilderBase.OptionInfoImpl
 
accessModifier() - Method in interface io.helidon.builder.codegen.PrototypeInfo
Access modifier for the generated prototype.
accessModifier() - Method in class io.helidon.builder.codegen.PrototypeInfo.BuilderBase
Access modifier for the generated prototype.
accessModifier() - Method in class io.helidon.builder.codegen.PrototypeInfo.BuilderBase.PrototypeInfoImpl
 
accessModifier() - Method in class io.helidon.codegen.classmodel.Annotation
Access modifier of this component.
accessModifier() - Method in class io.helidon.codegen.classmodel.AnnotationParameter
Access modifier of this component.
accessModifier() - Method in class io.helidon.codegen.classmodel.ClassBase
Access modifier of this component.
accessModifier() - Method in class io.helidon.codegen.classmodel.ClassModel
Access modifier of this component.
accessModifier() - Method in class io.helidon.codegen.classmodel.Constructor
Access modifier of this component.
accessModifier() - Method in class io.helidon.codegen.classmodel.EnumConstant
Access modifier of this component.
accessModifier() - Method in class io.helidon.codegen.classmodel.Executable
Access modifier of this component.
accessModifier() - Method in class io.helidon.codegen.classmodel.Field
Access modifier of this component.
accessModifier() - Method in class io.helidon.codegen.classmodel.InnerClass
Access modifier of this component.
accessModifier() - Method in class io.helidon.codegen.classmodel.Method
Access modifier of this component.
accessModifier() - Method in class io.helidon.codegen.classmodel.Parameter
Access modifier of this component.
accessModifier() - Method in interface io.helidon.common.types.TypedElementInfo
Access modifier of the element.
accessModifier() - Method in class io.helidon.common.types.TypedElementInfo.BuilderBase
Access modifier of the element.
accessModifier() - Method in class io.helidon.common.types.TypedElementInfo.BuilderBase.TypedElementInfoImpl
 
accessModifier() - Method in interface io.helidon.common.types.TypeInfo
Access modifier.
accessModifier() - Method in class io.helidon.common.types.TypeInfo.BuilderBase
Access modifier.
accessModifier() - Method in class io.helidon.common.types.TypeInfo.BuilderBase.TypeInfoImpl
 
accessModifier(AccessModifier) - Method in class io.helidon.builder.codegen.OptionInfo.BuilderBase
Access modifier of generated setter methods on builder.
accessModifier(AccessModifier) - Method in class io.helidon.builder.codegen.PrototypeInfo.BuilderBase
Access modifier for the generated prototype.
accessModifier(AccessModifier) - Method in class io.helidon.codegen.classmodel.ClassBase.Builder
 
accessModifier(AccessModifier) - Method in class io.helidon.codegen.classmodel.ClassModel.Builder
 
accessModifier(AccessModifier) - Method in class io.helidon.codegen.classmodel.Executable.Builder
 
accessModifier(AccessModifier) - Method in class io.helidon.codegen.classmodel.Field.Builder
 
accessModifier(AccessModifier) - Method in class io.helidon.common.types.TypedElementInfo.BuilderBase
Access modifier of the element.
accessModifier(AccessModifier) - Method in class io.helidon.common.types.TypeInfo.BuilderBase
Access modifier.
AccessModifier - Enum Class in io.helidon.common.types
Access modifier of the class model components.
accessor() - Method in class io.helidon.integrations.vault.auths.approle.Login.Response
Accessor.
accessor() - Method in class io.helidon.integrations.vault.auths.k8s.Login.Response
Accessor id.
accessor() - Method in class io.helidon.integrations.vault.auths.token.TokenResponse
Accessor.
accessorStyle() - Element in annotation interface io.helidon.json.binding.Json.Entity
Defines the accessor method style.
AccessorStyle - Enum Class in io.helidon.common
Accessor styles supported by Helidon modules.
accessTokenIpCheck() - Method in class io.helidon.security.providers.oidc.common.OidcConfig
Whether to check IP address access token was issued for.
accessTokenIpCheck(boolean) - Method in class io.helidon.security.providers.oidc.common.OidcConfig.Builder
Whether to check if current IP address matches the one access token was issued for.
accumulateToolCallId() - Method in interface io.helidon.integrations.langchain4j.providers.openai.OpenAiStreamingChatModelConfig
Generated from OpenAiStreamingChatModel.OpenAiStreamingChatModelBuilder.accumulateToolCallId(java.lang.Boolean)
accumulateToolCallId() - Method in class io.helidon.integrations.langchain4j.providers.openai.OpenAiStreamingChatModelConfig.BuilderBase
Generated from OpenAiStreamingChatModel.OpenAiStreamingChatModelBuilder.accumulateToolCallId(java.lang.Boolean)
accumulateToolCallId() - Method in class io.helidon.integrations.langchain4j.providers.openai.OpenAiStreamingChatModelConfig.BuilderBase.OpenAiStreamingChatModelConfigImpl
 
accumulateToolCallId(boolean) - Method in class io.helidon.integrations.langchain4j.providers.openai.OpenAiStreamingChatModelConfig.BuilderBase
Generated from OpenAiStreamingChatModel.OpenAiStreamingChatModelBuilder.accumulateToolCallId(java.lang.Boolean)
ack() - Method in class io.helidon.http.http2.Http2Flag.PingFlags
Whether the ack flag is set.
ack() - Method in class io.helidon.http.http2.Http2Flag.SettingsFlags
Whether the ack flag is set.
ack() - Method in class io.helidon.messaging.connectors.jms.JmsBytesMessage
 
ack() - Method in class io.helidon.messaging.connectors.jms.JmsTextMessage
 
ACK - Static variable in class io.helidon.http.http2.Http2Flag
ACK flag, used for acknowledgements.
ACK_MODE_ATTRIBUTE - Static variable in class io.helidon.messaging.connectors.jms.JmsConnector
JMS acknowledge mode.
acknowledgeMode(AcknowledgeMode) - Method in class io.helidon.messaging.connectors.aq.AqConfigBuilder
JMS acknowledgement mode.
acknowledgeMode(AcknowledgeMode) - Method in class io.helidon.messaging.connectors.jms.JmsConfigBuilder
JMS acknowledgement mode.
AcknowledgeMode - Enum Class in io.helidon.messaging.connectors.jms
Enumeration equivalent for JMS api's Session.AUTO_ACKNOWLEDGE, Session.CLIENT_ACKNOWLEDGE and Session.DUPS_OK_ACKNOWLEDGE constants.
acks(String) - Method in class io.helidon.messaging.connectors.kafka.KafkaConfigBuilder
The number of acknowledgments the producer requires the leader to have received before considering a request complete.
ackTimeout(long) - Method in class io.helidon.messaging.connectors.kafka.KafkaPublisher.Builder
This value applies only when autoCommit is set to false.
acquire() - Method in class io.helidon.common.concurrency.limits.NoopSemaphore
Deprecated.
 
acquire(int) - Method in class io.helidon.common.concurrency.limits.NoopSemaphore
Deprecated.
 
acquireTransactionManager() - Method in class io.helidon.integrations.cdi.eclipselink.CDISEPlatform.TransactionController
Returns a non-null TransactionManager.
acquireUninterruptibly() - Method in class io.helidon.common.concurrency.limits.NoopSemaphore
Deprecated.
 
acquireUninterruptibly(int) - Method in class io.helidon.common.concurrency.limits.NoopSemaphore
Deprecated.
 
Acquisition - Search tag in interface io.helidon.discovery.Discovery
Section
Acquisition ("Declarative" Usage) - Search tag in interface io.helidon.discovery.providers.eureka.EurekaDiscovery
Section
action() - Method in interface io.helidon.data.codegen.query.Projection
Projection action, e.g.
action() - Method in class io.helidon.data.codegen.query.Projection.BuilderBase
Projection action, e.g.
action() - Method in class io.helidon.data.codegen.query.Projection.BuilderBase.ProjectionImpl
 
action(ProjectionAction) - Method in class io.helidon.data.codegen.query.Projection.BuilderBase
Projection action, e.g.
activate() - Method in interface io.helidon.service.registry.ScopedRegistry
Activate this registry instance.
activate() - Method in interface io.helidon.tracing.Span
Make this span the current active span.
activate(ActivationRequest) - Method in interface io.helidon.service.registry.Activator
Activate a managed service/factory.
activate(Scope) - Method in interface io.helidon.service.registry.Service.ScopeHandler
Activate the given scope.
activated(Span, Scope) - Method in interface io.helidon.tracing.SpanListener
Invoked just after a span has been activated.
activateOciMetricsSupport(Config, Config, OciMetricsSupport.Builder) - Method in class io.helidon.integrations.oci.metrics.cdi.OciMetricsBean
 
activateOciMetricsSupport(Config, Config, OciMetricsSupport.Builder) - Method in class io.helidon.integrations.oci.metrics.OciMetricsSupportFactory
Activates OCI metrics support.
activateSpan(Span) - Method in class io.helidon.tracing.providers.zipkin.ZipkinTracer
 
ACTIVATION_FINISHING - Enum constant in enum class io.helidon.service.registry.ActivationPhase
Finishing post construct method.
ACTIVATION_STARTING - Enum constant in enum class io.helidon.service.registry.ActivationPhase
Starting to be activated.
ActivationPhase - Enum Class in io.helidon.service.registry
Progression of activation of a managed service instance.
ActivationRequest - Interface in io.helidon.service.registry
Request to activate a service.
ActivationRequest.Builder - Class in io.helidon.service.registry
Fluent API builder for ActivationRequest.
ActivationRequest.BuilderBase<BUILDER,PROTOTYPE> - Class in io.helidon.service.registry
Fluent API builder base for ActivationRequest.
ActivationRequest.BuilderBase.ActivationRequestImpl - Class in io.helidon.service.registry
Generated implementation of the prototype, can be extended by descendant prototype implementations.
ActivationRequestImpl(ActivationRequest.BuilderBase<?, ?>) - Constructor for class io.helidon.service.registry.ActivationRequest.BuilderBase.ActivationRequestImpl
Create an instance providing a builder.
ActivationResult - Interface in io.helidon.service.registry
Represents the result of a service activation or deactivation.
ActivationResult.Builder - Class in io.helidon.service.registry
Fluent API builder for ActivationResult.
ActivationResult.BuilderBase<BUILDER,PROTOTYPE> - Class in io.helidon.service.registry
Fluent API builder base for ActivationResult.
ActivationResult.BuilderBase.ActivationResultImpl - Class in io.helidon.service.registry
Generated implementation of the prototype, can be extended by descendant prototype implementations.
ActivationResultImpl(ActivationResult.BuilderBase<?, ?>) - Constructor for class io.helidon.service.registry.ActivationResult.BuilderBase.ActivationResultImpl
Create an instance providing a builder.
activator(ServiceInfo, Supplier<Activator<T>>) - Method in interface io.helidon.service.registry.ScopedRegistry
Provides either an existing activator, if one is already available in this scope, or adds a new activator instance.
Activator<T> - Interface in io.helidon.service.registry
Activator is responsible for lifecycle management of a service instance within a scope.
ACTIVE - Enum constant in enum class io.helidon.service.registry.ActivationPhase
Service is active.
activeRules() - Method in class io.helidon.integrations.langchain4j.providers.mock.MockChatModel
Returns the list of MockChatRules currently used by this model.
activeRules() - Method in class io.helidon.integrations.langchain4j.providers.mock.MockStreamingChatModel
Returns the list of MockChatRules currently used by this model.
activeSpan() - Static method in class io.helidon.grpc.core.GrpcTracingContext
Get the current active span associated with the context.
activeSpan() - Static method in class io.helidon.tracing.providers.opentelemetry.OpenTelemetryTracerProvider
Returns a Span representing the currently-active OpenTelemetry span with any current baggage set on the returned span.
activeSpan() - Method in class io.helidon.tracing.providers.zipkin.ZipkinTracer
 
adapt(TokenStream) - Method in class io.helidon.integrations.langchain4j.TokenStreamToStreamAdapter
 
adaptiveBuilder(Duration) - Static method in interface io.helidon.config.ScheduledPollingStrategy.RecurringPolicy
Creates a builder of ScheduledPollingStrategy.RecurringPolicy with an ability to change the behaviour, with a boundaries and the possibility to react to feedback given by ScheduledPollingStrategy.RecurringPolicy.shorten() or ScheduledPollingStrategy.RecurringPolicy.lengthen().
add(BufferData) - Method in interface io.helidon.common.buffers.CompositeBufferData
Add this buffer to the list of buffers already in this composite buffer.
add(FtHandler) - Method in class io.helidon.faulttolerance.FaultTolerance.Builder
 
add(FtHandler) - Method in class io.helidon.faulttolerance.FaultTolerance.TypedBuilder
 
add(Header) - Method in interface io.helidon.http.WritableHeaders
Add a header or add a header value if the header is already present.
add(HeaderName, int) - Method in interface io.helidon.http.WritableHeaders
Add a header or add a header value if the header is already present.
add(HeaderName, long) - Method in interface io.helidon.http.WritableHeaders
Add a header or add a header value if the header is already present.
add(HeaderName, String...) - Method in interface io.helidon.http.WritableHeaders
Add a header or add a header value if the header is already present.
add(Http2Setting<T>, T) - Method in class io.helidon.http.http2.Http2Settings.Builder
Add a setting to these settings.
add(DescriptorMetadata) - Method in class io.helidon.service.codegen.HelidonMetaInfServices
Add a single descriptors to the file.
add(ServiceDescriptor<?>) - Static method in class io.helidon.service.registry.Services
Add a custom service descriptor.
add(AccessLogEntry) - Method in class io.helidon.webserver.accesslog.AccessLogRoutingFeature.Builder
Add a AccessLogEntry to the list of log entries creating the format of this access log.
add(Class<T>, double, T) - Static method in class io.helidon.service.registry.Services
Add an explicit instance for the specified service contract.
add(String) - Method in class io.helidon.codegen.classmodel.Javadoc.Builder
Add text line to the content.
add(String) - Method in class io.helidon.codegen.ManifestResource
Add a new resource location to the manifest.
add(String, boolean) - Method in class io.helidon.integrations.common.rest.ApiJsonBuilder
Add custom boolean to payload.
add(String, boolean) - Method in class io.helidon.integrations.common.rest.JsonRequest
 
add(String, double) - Method in class io.helidon.integrations.common.rest.ApiJsonBuilder
Add custom double to payload.
add(String, double) - Method in class io.helidon.integrations.common.rest.JsonRequest
 
add(String, int) - Method in class io.helidon.integrations.common.rest.ApiJsonBuilder
Add custom int to payload.
add(String, int) - Method in class io.helidon.integrations.common.rest.JsonRequest
 
add(String, long) - Method in class io.helidon.integrations.common.rest.ApiJsonBuilder
Add custom long to payload.
add(String, long) - Method in class io.helidon.integrations.common.rest.JsonRequest
 
add(String, ApiJsonBuilder<?>) - Method in class io.helidon.integrations.common.rest.ApiJsonBuilder
Add a custom object to payload.
add(String, ApiJsonBuilder<?>) - Method in class io.helidon.integrations.common.rest.JsonRequest
 
add(String, String) - Method in interface io.helidon.common.uri.UriQueryWriteable
Add a new query parameter or add a value to existing.
add(String, String) - Method in class io.helidon.integrations.common.rest.ApiJsonBuilder
Add custom string to payload.
add(String, String) - Method in class io.helidon.integrations.common.rest.JsonRequest
 
add(String, String...) - Method in class io.helidon.common.parameters.Parameters.Builder
Add new value(s) to the parameters.
add(String, Duration) - Method in class io.helidon.integrations.vault.VaultRequest
Add a duration formatted in Vault manner, as a string with duration.
add(Supplier<T>) - Method in interface io.helidon.common.LazyList
Add another lazy item to the list.
add(T) - Method in class io.helidon.grpc.core.WeightedBag
Add an element to the bag.
add(T, double) - Method in class io.helidon.grpc.core.WeightedBag
Add an element to the bag with a specific weight.
addAcceptedMediaType(MediaType) - Method in class io.helidon.http.media.MediaSupportConfig.BuilderBase
Types accepted by this media support.
addAcceptedMediaTypes(Set<? extends MediaType>) - Method in class io.helidon.http.media.MediaSupportConfig.BuilderBase
Types accepted by this media support.
addAcceptHeader(HttpSignHeader) - Method in class io.helidon.security.providers.httpsign.HttpSignProvider.Builder
Add a header that is validated on inbound requests.
addAcceptPatches(MediaType...) - Method in interface io.helidon.http.ServerResponseHeaders
Adds one or more acceptedTypes path document formats (header HeaderNames.ACCEPT_PATCH).
addAdditionalGrants(Subject, List<Grant>) - Method in class io.helidon.security.providers.idcs.mapper.IdcsRoleMapperProvider
Extension point to add additional grants that are not retrieved from IDCS.
addAdditionalGrants(String, String, Subject, List<Grant>) - Method in class io.helidon.security.providers.idcs.mapper.IdcsMtRoleMapperProvider
Extension point to add additional grants to the subject being created.
addAll(Iterable<? extends T>) - Method in class io.helidon.grpc.core.WeightedBag
Add elements to the bag.
addAll(Iterable<? extends T>, double) - Method in class io.helidon.grpc.core.WeightedBag
Add elements to the bag with a given weight.
addAll(Collection<DescriptorMetadata>) - Method in class io.helidon.service.codegen.HelidonMetaInfServices
Add all descriptors to the file.
addAllFields(Iterable<? extends Model.KeyValue>) - Method in class io.helidon.tracing.exporter.jaeger.proto.api_v2.Model.Log.Builder
repeated .jaeger.api_v2.KeyValue fields = 2;
addAllLogs(Iterable<? extends Model.Log>) - Method in class io.helidon.tracing.exporter.jaeger.proto.api_v2.Model.Span.Builder
repeated .jaeger.api_v2.Log logs = 9;
addAllowed(String) - Method in class io.helidon.common.configurable.AllowListConfig.BuilderBase
Exact strings to allow.
addAllowed(Predicate<String>) - Method in class io.helidon.common.configurable.AllowListConfig.BuilderBase
Allowed predicates.
addAllowed(List<String>) - Method in class io.helidon.common.configurable.AllowListConfig.BuilderBase
Exact strings to allow.
addAllowedAuthenticationMethods(List<String>) - Method in class io.helidon.integrations.oci.OciConfig.BuilderBase
List of attempted authentication strategies in case OciConfig.authenticationMethod() is set to "auto".
addAllowedDomain(String) - Method in class io.helidon.integrations.vault.secrets.pki.PkiRole.Request
Specifies the domains of the role.
addAllowedEntityAlias(String) - Method in class io.helidon.integrations.vault.auths.token.CreateTokenRole.Request
f set, specifies the entity aliases which are allowed to be used during token generation.
addAllowedOtherSan(String) - Method in class io.helidon.integrations.vault.secrets.pki.PkiRole.Request
Defines allowed custom OID/UTF8-string SANs.
addAllowedPattern(Pattern) - Method in class io.helidon.common.configurable.AllowListConfig.BuilderBase
Patterns specifying strings to allow.
addAllowedPatterns(List<? extends Pattern>) - Method in class io.helidon.common.configurable.AllowListConfig.BuilderBase
Patterns specifying strings to allow.
addAllowedPolicy(String) - Method in class io.helidon.integrations.vault.auths.token.CreateTokenRole.Request
If set, tokens can be created with any subset of the policies in this list, rather than the normal semantics of tokens being a subset of the calling token's policies.
addAllowedPredicates(List<Predicate<String>>) - Method in class io.helidon.common.configurable.AllowListConfig.BuilderBase
Allowed predicates.
addAllowedPrefix(String) - Method in class io.helidon.common.configurable.AllowListConfig.BuilderBase
Prefixes specifying strings to allow.
addAllowedPrefixes(List<String>) - Method in class io.helidon.common.configurable.AllowListConfig.BuilderBase
Prefixes specifying strings to allow.
addAllowedResponseHeader(String) - Method in class io.helidon.integrations.vault.sys.EnableAuth.Request
Header to whitelist, allowing a plugin to include them in the response.
addAllowedResponseHeader(String) - Method in class io.helidon.integrations.vault.sys.EnableEngine.Request
Header to whitelist, allowing a plugin to include them in the response.
addAllowedRole(String) - Method in class io.helidon.integrations.vault.secrets.database.DbConfigure.Request
List of the roles allowed to use this connection.
addAllowedSuffix(String) - Method in class io.helidon.common.configurable.AllowListConfig.BuilderBase
Suffixes specifying strings to allow.
addAllowedSuffixes(List<String>) - Method in class io.helidon.common.configurable.AllowListConfig.BuilderBase
Suffixes specifying strings to allow.
addAllowedUriSan(String) - Method in class io.helidon.integrations.vault.secrets.pki.PkiRole.Request
Defines allowed URI Subject Alternative Names.
addAllowedValue(OptionAllowedValue) - Method in class io.helidon.builder.codegen.OptionInfo.BuilderBase
List of allowed values for this option.
addAllowedValue(Consumer<OptionAllowedValue.Builder>) - Method in class io.helidon.builder.codegen.OptionInfo.BuilderBase
List of allowed values for this option.
addAllowedValues(List<? extends OptionAllowedValue>) - Method in class io.helidon.builder.codegen.OptionInfo.BuilderBase
List of allowed values for this option.
addAllowHeader(HeaderName) - Method in class io.helidon.webserver.cors.CorsPathConfig.BuilderBase
Add an allowed header name.
addAllowHeader(String) - Method in class io.helidon.webserver.cors.CorsPathConfig.BuilderBase
Set of allowed headers, defaults to all.
addAllowHeaders(Set<String>) - Method in class io.helidon.webserver.cors.CorsPathConfig.BuilderBase
Set of allowed headers, defaults to all.
addAllowMethod(Method) - Method in class io.helidon.webserver.cors.CorsPathConfig.BuilderBase
Add an allowed method.
addAllowMethod(String) - Method in class io.helidon.webserver.cors.CorsPathConfig.BuilderBase
Set of allowed methods, defaults to all.
addAllowMethods(Set<String>) - Method in class io.helidon.webserver.cors.CorsPathConfig.BuilderBase
Set of allowed methods, defaults to all.
addAllowOrigin(String) - Method in class io.helidon.webserver.cors.CorsPathConfig.BuilderBase
Set of allowed origins, defaults to all.
addAllowOrigins(Set<String>) - Method in class io.helidon.webserver.cors.CorsPathConfig.BuilderBase
Set of allowed origins, defaults to all.
addAllProcessMap(Iterable<? extends Model.Trace.ProcessMapping>) - Method in class io.helidon.tracing.exporter.jaeger.proto.api_v2.Model.Trace.Builder
repeated .jaeger.api_v2.Trace.ProcessMapping process_map = 2;
addAllReferences(Iterable<? extends Model.SpanRef>) - Method in class io.helidon.tracing.exporter.jaeger.proto.api_v2.Model.Span.Builder
repeated .jaeger.api_v2.SpanRef references = 4;
addAllSpans(Iterable<? extends Model.Span>) - Method in class io.helidon.tracing.exporter.jaeger.proto.api_v2.Model.Batch.Builder
repeated .jaeger.api_v2.Span spans = 1;
addAllSpans(Iterable<? extends Model.Span>) - Method in class io.helidon.tracing.exporter.jaeger.proto.api_v2.Model.Trace.Builder
repeated .jaeger.api_v2.Span spans = 1;
addAllTags(Iterable<? extends Model.KeyValue>) - Method in class io.helidon.tracing.exporter.jaeger.proto.api_v2.Model.Process.Builder
repeated .jaeger.api_v2.KeyValue tags = 2;
addAllTags(Iterable<? extends Model.KeyValue>) - Method in class io.helidon.tracing.exporter.jaeger.proto.api_v2.Model.Span.Builder
repeated .jaeger.api_v2.KeyValue tags = 8;
addAllWarnings(Iterable<String>) - Method in class io.helidon.tracing.exporter.jaeger.proto.api_v2.Model.Span.Builder
repeated string warnings = 12;
addAllWarnings(Iterable<String>) - Method in class io.helidon.tracing.exporter.jaeger.proto.api_v2.Model.Trace.Builder
repeated string warnings = 3;
addAltName(String) - Method in class io.helidon.integrations.vault.secrets.pki.IssueCertificate.Request
Specifies requested Subject Alternative Name(s).
addAltName(String) - Method in class io.helidon.integrations.vault.secrets.pki.SignCsr.Request
Specifies requested Subject Alternative Name(s).
addAnnotation(Annotation) - Method in class io.helidon.codegen.classmodel.ClassBase.Builder
Add new annotation to the component.
addAnnotation(Annotation) - Method in class io.helidon.codegen.classmodel.ClassModel.Builder
Add new annotation to the component.
addAnnotation(Annotation) - Method in class io.helidon.codegen.classmodel.Constructor.Builder
Add new annotation to the component.
addAnnotation(Annotation) - Method in class io.helidon.codegen.classmodel.EnumConstant.Builder
Add new annotation to the component.
addAnnotation(Annotation) - Method in class io.helidon.codegen.classmodel.Executable.Builder
Add new annotation to the component.
addAnnotation(Annotation) - Method in class io.helidon.codegen.classmodel.Field.Builder
Add new annotation to the component.
addAnnotation(Annotation) - Method in class io.helidon.codegen.classmodel.InnerClass.Builder
Add new annotation to the component.
addAnnotation(Annotation) - Method in class io.helidon.codegen.classmodel.Method.Builder
Add new annotation to the component.
addAnnotation(Annotation) - Method in class io.helidon.codegen.classmodel.Parameter.Builder
Add new annotation to the component.
addAnnotation(Annotation.Builder) - Method in class io.helidon.codegen.classmodel.ClassBase.Builder
Add new annotation to the component.
addAnnotation(Annotation.Builder) - Method in class io.helidon.codegen.classmodel.ClassModel.Builder
Add new annotation to the component.
addAnnotation(Annotation.Builder) - Method in class io.helidon.codegen.classmodel.Constructor.Builder
Add new annotation to the component.
addAnnotation(Annotation.Builder) - Method in class io.helidon.codegen.classmodel.EnumConstant.Builder
Add new annotation to the component.
addAnnotation(Annotation.Builder) - Method in class io.helidon.codegen.classmodel.Executable.Builder
Add new annotation to the component.
addAnnotation(Annotation.Builder) - Method in class io.helidon.codegen.classmodel.Field.Builder
Add new annotation to the component.
addAnnotation(Annotation.Builder) - Method in class io.helidon.codegen.classmodel.InnerClass.Builder
Add new annotation to the component.
addAnnotation(Annotation.Builder) - Method in class io.helidon.codegen.classmodel.Method.Builder
Add new annotation to the component.
addAnnotation(Annotation.Builder) - Method in class io.helidon.codegen.classmodel.Parameter.Builder
Add new annotation to the component.
addAnnotation(Annotation) - Method in class io.helidon.builder.codegen.OptionInfo.BuilderBase
Annotations option.
addAnnotation(Annotation) - Method in class io.helidon.builder.codegen.PrototypeInfo.BuilderBase
Annotations option.
addAnnotation(Annotation) - Method in class io.helidon.codegen.classmodel.ClassBase.Builder
Add new annotation to the component.
addAnnotation(Annotation) - Method in class io.helidon.codegen.classmodel.ClassModel.Builder
Add new annotation to the component.
addAnnotation(Annotation) - Method in class io.helidon.codegen.classmodel.Constructor.Builder
Add new annotation to the component.
addAnnotation(Annotation) - Method in class io.helidon.codegen.classmodel.EnumConstant.Builder
Add new annotation to the component.
addAnnotation(Annotation) - Method in class io.helidon.codegen.classmodel.Executable.Builder
Add new annotation to the component.
addAnnotation(Annotation) - Method in class io.helidon.codegen.classmodel.Field.Builder
Add new annotation to the component.
addAnnotation(Annotation) - Method in class io.helidon.codegen.classmodel.InnerClass.Builder
Add new annotation to the component.
addAnnotation(Annotation) - Method in class io.helidon.codegen.classmodel.Method.Builder
Add new annotation to the component.
addAnnotation(Annotation) - Method in class io.helidon.codegen.classmodel.Parameter.Builder
Add new annotation to the component.
addAnnotation(Annotation) - Method in class io.helidon.common.types.ModuleTypeInfo.BuilderBase
List of declared and known annotations for this element.
addAnnotation(Annotation) - Method in class io.helidon.common.types.TypedElementInfo.BuilderBase
List of declared and known annotations for this element.
addAnnotation(Annotation) - Method in class io.helidon.common.types.TypeInfo.BuilderBase
List of declared and known annotations for this element.
addAnnotation(Annotation) - Method in class io.helidon.common.types.TypeName.BuilderBase
List of declared and known annotations for this element.
addAnnotation(Annotation) - Method in class io.helidon.declarative.codegen.model.http.ModelElement.BuilderBase
All annotations on this element, and inherited from supertype/interface and annotations.
addAnnotation(Annotation) - Method in class io.helidon.service.registry.Dependency.BuilderBase
The annotations on this element, excluding Dependency.qualifiers().
addAnnotation(Consumer<Annotation.Builder>) - Method in class io.helidon.codegen.classmodel.ClassBase.Builder
Add new annotation to the component.
addAnnotation(Consumer<Annotation.Builder>) - Method in class io.helidon.codegen.classmodel.ClassModel.Builder
Add new annotation to the component.
addAnnotation(Consumer<Annotation.Builder>) - Method in class io.helidon.codegen.classmodel.Constructor.Builder
Add new annotation to the component.
addAnnotation(Consumer<Annotation.Builder>) - Method in class io.helidon.codegen.classmodel.EnumConstant.Builder
Add new annotation to the component.
addAnnotation(Consumer<Annotation.Builder>) - Method in class io.helidon.codegen.classmodel.Executable.Builder
Add new annotation to the component.
addAnnotation(Consumer<Annotation.Builder>) - Method in class io.helidon.codegen.classmodel.Field.Builder
Add new annotation to the component.
addAnnotation(Consumer<Annotation.Builder>) - Method in class io.helidon.codegen.classmodel.InnerClass.Builder
Add new annotation to the component.
addAnnotation(Consumer<Annotation.Builder>) - Method in class io.helidon.codegen.classmodel.Method.Builder
Add new annotation to the component.
addAnnotation(Consumer<Annotation.Builder>) - Method in class io.helidon.codegen.classmodel.Parameter.Builder
Add new annotation to the component.
addAnnotation(Consumer<Annotation.Builder>) - Method in class io.helidon.builder.codegen.OptionInfo.BuilderBase
Annotations option.
addAnnotation(Consumer<Annotation.Builder>) - Method in class io.helidon.builder.codegen.PrototypeInfo.BuilderBase
Annotations option.
addAnnotation(Consumer<Annotation.Builder>) - Method in class io.helidon.common.types.ModuleTypeInfo.BuilderBase
List of declared and known annotations for this element.
addAnnotation(Consumer<Annotation.Builder>) - Method in class io.helidon.common.types.TypedElementInfo.BuilderBase
List of declared and known annotations for this element.
addAnnotation(Consumer<Annotation.Builder>) - Method in class io.helidon.common.types.TypeInfo.BuilderBase
List of declared and known annotations for this element.
addAnnotation(Consumer<Annotation.Builder>) - Method in class io.helidon.common.types.TypeName.BuilderBase
List of declared and known annotations for this element.
addAnnotation(Consumer<Annotation.Builder>) - Method in class io.helidon.declarative.codegen.model.http.ModelElement.BuilderBase
All annotations on this element, and inherited from supertype/interface and annotations.
addAnnotation(Consumer<Annotation.Builder>) - Method in class io.helidon.service.registry.Dependency.BuilderBase
The annotations on this element, excluding Dependency.qualifiers().
addAnnotations(List<? extends Annotation>) - Method in class io.helidon.builder.codegen.OptionInfo.BuilderBase
Annotations option.
addAnnotations(List<? extends Annotation>) - Method in class io.helidon.builder.codegen.PrototypeInfo.BuilderBase
Annotations option.
addAnnotations(List<? extends Annotation>) - Method in class io.helidon.common.types.ModuleTypeInfo.BuilderBase
List of declared and known annotations for this element.
addAnnotations(List<? extends Annotation>) - Method in class io.helidon.common.types.TypedElementInfo.BuilderBase
List of declared and known annotations for this element.
addAnnotations(List<? extends Annotation>) - Method in class io.helidon.common.types.TypeInfo.BuilderBase
List of declared and known annotations for this element.
addAnnotations(List<? extends Annotation>) - Method in class io.helidon.common.types.TypeName.BuilderBase
List of declared and known annotations for this element.
addAnnotations(Set<? extends Annotation>) - Method in class io.helidon.declarative.codegen.model.http.ModelElement.BuilderBase
All annotations on this element, and inherited from supertype/interface and annotations.
addAnnotations(Set<? extends Annotation>) - Method in class io.helidon.service.registry.Dependency.BuilderBase
The annotations on this element, excluding Dependency.qualifiers().
addApplication(JaxRsApplication) - Method in class io.helidon.microprofile.server.Server.Builder
Add a JAX-RS application with all possible options to this server.
addApplication(Application) - Method in class io.helidon.microprofile.server.JaxRsCdiExtension
Add a jersey application to the server.
addApplication(Application) - Method in class io.helidon.microprofile.server.Server.Builder
JAX-RS application to use.
addApplication(Class<? extends Application>) - Method in class io.helidon.microprofile.server.Server.Builder
JAX-RS application class to use.
addApplication(String, Application) - Method in class io.helidon.microprofile.server.JaxRsCdiExtension
Add a jersey application to the server with an explicit context path.
addApplication(String, Application) - Method in class io.helidon.microprofile.server.Server.Builder
JAX-RS application to use.
addApplication(String, Class<? extends Application>) - Method in class io.helidon.microprofile.server.Server.Builder
JAX-RS application class to use.
addApplicationProtocol(String) - Method in class io.helidon.common.tls.TlsConfig.BuilderBase
Configure list of supported application protocols (such as h2) for application layer protocol negotiation (ALPN).
addApplicationProtocols(List<String>) - Method in class io.helidon.common.tls.TlsConfig.BuilderBase
Configure list of supported application protocols (such as h2) for application layer protocol negotiation (ALPN).
addApplications(List<JaxRsApplication>) - Method in class io.helidon.microprofile.server.JaxRsCdiExtension
Add all application metadata from the provided list.
addApplyOn(Class<? extends Throwable>) - Method in class io.helidon.faulttolerance.CircuitBreakerConfig.BuilderBase
These throwables will be considered failures.
addApplyOn(Class<? extends Throwable>) - Method in class io.helidon.faulttolerance.FallbackConfig.BuilderBase
These throwables will be considered retriable.
addApplyOn(Class<? extends Throwable>) - Method in class io.helidon.faulttolerance.RetryConfig.BuilderBase
These throwables will be considered retriable.
addApplyOn(Set<Class<? extends Throwable>>) - Method in class io.helidon.faulttolerance.CircuitBreakerConfig.BuilderBase
These throwables will be considered failures.
addApplyOn(Set<Class<? extends Throwable>>) - Method in class io.helidon.faulttolerance.FallbackConfig.BuilderBase
These throwables will be considered retriable.
addApplyOn(Set<Class<? extends Throwable>>) - Method in class io.helidon.faulttolerance.RetryConfig.BuilderBase
These throwables will be considered retriable.
addArrayProperties(Map<String, ? extends SchemaArray>) - Method in class io.helidon.json.schema.SchemaObject.BuilderBase
Map of all array properties.
addArrayProperty(String, SchemaArray) - Method in class io.helidon.json.schema.SchemaObject.BuilderBase
Map of all array properties.
addArrayProperty(String, Consumer<SchemaArray.Builder>) - Method in class io.helidon.json.schema.SchemaObject.BuilderBase
Map of all array properties.
addAtribute(String, Object) - Method in class io.helidon.security.EndpointConfig.Builder
Add an attribute to this endpoint configuration builder.
addAttribute(String, Object) - Method in class io.helidon.security.Grant.Builder
Add and attribute to this grant.
addAttribute(String, Object) - Method in class io.helidon.security.Principal.Builder
Add a custom attribute to this principal.
addAttribute(String, Object) - Method in class io.helidon.security.SecurityEnvironment.Builder
Add an attribute to this environment.
addAttribute(String, Object) - Method in class io.helidon.security.Subject.Builder
Add an attribute to this subject.
addAudience(String) - Method in class io.helidon.security.jwt.Jwt.Builder
Audience identifies the expected recipients of this JWT (optional).
addAudienceValidator(String) - Method in class io.helidon.security.jwt.JwtValidator.Builder
Add new AudienceValidator with the expected audience.
addAudienceValidator(Collection<Validator<Jwt>>, String, boolean) - Static method in class io.helidon.security.jwt.Jwt
Deprecated, for removal: This API element is subject to removal in a future version.
addAudienceValidator(Collection<Validator<Jwt>>, Set<String>, boolean) - Static method in class io.helidon.security.jwt.Jwt
Deprecated, for removal: This API element is subject to removal in a future version.
addAudienceValidator(Consumer<AudienceValidator.Builder>) - Method in class io.helidon.security.jwt.JwtValidator.Builder
Add new AudienceValidator instance based on the builder configuration.
addAudienceValidator(Set<String>) - Method in class io.helidon.security.jwt.JwtValidator.Builder
Add new AudienceValidator with the expected audience.
addAuditProvider(AuditProvider) - Method in class io.helidon.security.Security.Builder
Add an audit provider to this security runtime.
addAuditProvider(Supplier<? extends AuditProvider>) - Method in class io.helidon.security.Security.Builder
Add an audit provider to this security runtime.
addAuthenticationProvider(AuthenticationProvider) - Method in class io.helidon.security.Security.Builder
Add an authentication provider.
addAuthenticationProvider(AuthenticationProvider, String) - Method in class io.helidon.security.Security.Builder
Add a named authentication provider.
addAuthenticationProvider(String) - Method in class io.helidon.security.CompositeProviderSelectionPolicy.Builder
Add a required provider to this composite provider.
addAuthenticationProvider(String, CompositeProviderFlag) - Method in class io.helidon.security.CompositeProviderSelectionPolicy.Builder
Add a provider to this composite policy.
addAuthenticationProvider(Supplier<? extends AuthenticationProvider>) - Method in class io.helidon.security.Security.Builder
Add an authentication provider.
addAuthenticationProvider(Supplier<? extends AuthenticationProvider>, String) - Method in class io.helidon.security.Security.Builder
Add a named authentication provider.
addAuthorizationProvider(AuthorizationProvider) - Method in class io.helidon.security.Security.Builder
Add authorization provider.
addAuthorizationProvider(AuthorizationProvider, String) - Method in class io.helidon.security.Security.Builder
Add a named authorization provider.
addAuthorizationProvider(String) - Method in class io.helidon.security.CompositeProviderSelectionPolicy.Builder
Add a required provider to this composite provider.
addAuthorizationProvider(String, CompositeProviderFlag) - Method in class io.helidon.security.CompositeProviderSelectionPolicy.Builder
Add a provider to this composite policy.
addAuthorizationProvider(Supplier<? extends AuthorizationProvider>) - Method in class io.helidon.security.Security.Builder
Add authorization provider.
addAuthorizationProvider(Supplier<? extends AuthorizationProvider>, String) - Method in class io.helidon.security.Security.Builder
Add a named authorization provider.
addAuthStrategies(List<String>) - Method in class io.helidon.integrations.oci.sdk.runtime.OciConfig.BuilderBase
Deprecated.
The list of authentication strategies that will be attempted by AbstractAuthenticationDetailsProvider when one is called for.
addBase64(String, Base64Value) - Method in class io.helidon.integrations.common.rest.ApiJsonBuilder
Add a string encoded with base64.
addBase64(String, Base64Value) - Method in class io.helidon.integrations.common.rest.JsonRequest
 
addBatch() - Method in class io.helidon.integrations.jdbc.DelegatingPreparedStatement
 
addBatch(String) - Method in class io.helidon.integrations.jdbc.DelegatingStatement
 
addBean(BeanConfigurator<DataSource>, Named, Properties) - Method in class io.helidon.integrations.datasource.hikaricp.cdi.HikariCPBackedDataSourceExtension
 
addBean(BeanConfigurator<DataSource>, Named, Properties) - Method in class io.helidon.integrations.datasource.ucp.cdi.UCPBackedDataSourceExtension
 
addBean(BeanConfigurator<UniversalConnectionPool>, Named, Properties) - Method in class io.helidon.integrations.datasource.ucp.cdi.UniversalConnectionPoolExtension
 
addBean(BeanConfigurator<T>, Named, Properties) - Method in class io.helidon.integrations.cdi.configurable.AbstractConfigurableExtension
Called internally to permit subclasses to add a T-typed bean, qualified with at least the supplied Named, using the supplied BeanConfigurator.
AddBean - Annotation Interface in io.helidon.microprofile.testing
Add a CDI bean to the container.
AddBean - Annotation Interface in io.helidon.microprofile.testing.junit5
Deprecated.
Use AddBean instead
AddBean - Annotation Interface in io.helidon.microprofile.testing.testng
Deprecated.
Use AddBean instead
addBeanClasses(Class<?>...) - Method in class io.helidon.microprofile.cdi.HelidonContainerInitializer
 
addBeans() - Method in interface io.helidon.microprofile.testing.HelidonTestDescriptor
Get the discovered AddBean annotations.
addBeans() - Method in class io.helidon.microprofile.testing.HelidonTestDescriptorBase
 
addBeans() - Method in class io.helidon.microprofile.testing.HelidonTestInfo.ClassInfo
 
addBeans() - Method in class io.helidon.microprofile.testing.HelidonTestInfo.MethodInfo
 
addBeans(BeforeBeanDiscovery) - Method in class io.helidon.microprofile.grpc.client.GrpcClientCdiExtension
Adds beans to the bean manager.
AddBeans - Annotation Interface in io.helidon.microprofile.testing
A repeatable container for AddBean.
AddBeans - Annotation Interface in io.helidon.microprofile.testing.junit5
Deprecated.
Use AddBeans instead
AddBeans - Annotation Interface in io.helidon.microprofile.testing.testng
Deprecated.
Use AddBeans instead
addBetween(LocalTime, LocalTime) - Method in class io.helidon.security.abac.time.TimeValidator.TimeConfig.Builder
Add a new "between time" configuration.
addBindingFactorie(JsonBindingFactory<?>) - Method in class io.helidon.json.binding.JsonBindingConfig.BuilderBase
Registered generic type binding factories.
addBindingFactories(List<JsonBindingFactory<?>>) - Method in class io.helidon.json.binding.JsonBindingConfig.BuilderBase
Registered generic type binding factories.
addBlacklistedException(String) - Method in class io.helidon.graphql.server.InvocationHandler.Builder
Add an exception to the blacklist.
addBooleanAttributes(Map<String, Boolean>) - Method in class io.helidon.telemetry.otelconfig.TypedAttributes.BuilderBase
Boolean attributes.
addBooleanProperties(Map<String, ? extends SchemaBoolean>) - Method in class io.helidon.json.schema.SchemaObject.BuilderBase
Map of all boolean properties.
addBooleanProperty(String, SchemaBoolean) - Method in class io.helidon.json.schema.SchemaObject.BuilderBase
Map of all boolean properties.
addBooleanProperty(String, Consumer<SchemaBoolean.Builder>) - Method in class io.helidon.json.schema.SchemaObject.BuilderBase
Map of all boolean properties.
addBooleanTracerTags(Map<String, Boolean>) - Method in class io.helidon.tracing.ExtendedTracerConfig.BuilderBase
Tracer-level tags with boolean values added to all reported spans.
addBound(TypeName) - Method in class io.helidon.codegen.classmodel.TypeArgument.Builder
Type this argument is bound to (may have more than one for intersection types).
addBoundServiceAccountName(String) - Method in class io.helidon.integrations.vault.auths.k8s.CreateRole.Request
Add a service account name able to access this role.
addBoundServiceAccountNamespace(String) - Method in class io.helidon.integrations.vault.auths.k8s.CreateRole.Request
Add a namespace allowed to access this role.
addBreaker(CircuitBreaker) - Method in class io.helidon.faulttolerance.FaultTolerance.Builder
Add a circuit breaker to the list.
addBreaker(CircuitBreaker) - Method in class io.helidon.faulttolerance.FaultTolerance.TypedBuilder
Add a circuit breaker to the list.
addBucketBoundaries(List<Double>) - Method in class io.helidon.telemetry.otelconfig.ExplicitBucketHistogramAggregationConfig.BuilderBase
Explicit bucket boundaries.
addBuilderMethod(GeneratedMethod) - Method in class io.helidon.builder.codegen.PrototypeInfo.BuilderBase
Additional methods to be added to the prototype builder base.
addBuilderMethod(Consumer<GeneratedMethod.Builder>) - Method in class io.helidon.builder.codegen.PrototypeInfo.BuilderBase
Additional methods to be added to the prototype builder base.
addBuilderMethods(List<? extends GeneratedMethod>) - Method in class io.helidon.builder.codegen.PrototypeInfo.BuilderBase
Additional methods to be added to the prototype builder base.
addBulkhead(Bulkhead) - Method in class io.helidon.faulttolerance.FaultTolerance.Builder
Add a bulkhead to the list.
addBulkhead(Bulkhead) - Method in class io.helidon.faulttolerance.FaultTolerance.TypedBuilder
Add a bulkhead to the list.
addCachedFile(String) - Method in class io.helidon.webserver.staticcontent.BaseHandlerConfig.BuilderBase
A set of files that are cached in memory at startup.
addCachedFiles(Set<String>) - Method in class io.helidon.webserver.staticcontent.BaseHandlerConfig.BuilderBase
A set of files that are cached in memory at startup.
addCacheInMemory(String) - Method in class io.helidon.webserver.staticcontent.StaticContentService.Builder
Deprecated.
Add a path (as requested by the user) that should be cached in memory.
addCert(X509Certificate) - Method in class io.helidon.common.pki.Keys.BuilderBase
The X.509 Certificates.
addCertAlias(String) - Method in class io.helidon.common.pki.KeystoreKeys.BuilderBase
List of aliases used to generate a trusted set of certificates.
addCertAliases(List<String>) - Method in class io.helidon.common.pki.KeystoreKeys.BuilderBase
List of aliases used to generate a trusted set of certificates.
addCertChain(X509Certificate) - Method in class io.helidon.common.pki.Keys.BuilderBase
The X.509 Certificate Chain.
addCertChain(List<? extends X509Certificate>) - Method in class io.helidon.common.pki.Keys.BuilderBase
The X.509 Certificate Chain.
addCertificateChain(X509Certificate) - Method in class io.helidon.security.jwt.jwk.JwkEC.Builder
Add a certificate to certificate chain of the JWK to be built.
addCertificateChain(X509Certificate) - Method in class io.helidon.security.jwt.jwk.JwkRSA.Builder
Add a certificate to certificate chain of the JWK to be built.
addCerts(List<? extends X509Certificate>) - Method in class io.helidon.common.pki.Keys.BuilderBase
The X.509 Certificates.
addChannels(List<? extends GrpcChannelDescriptor>) - Method in class io.helidon.microprofile.grpc.client.GrpcChannelsDescriptor.BuilderBase
List of channel descriptors.
addCheck(HealthCheck) - Method in class io.helidon.webserver.observe.health.HealthObserverConfig.BuilderBase
Health checks with implicit types.
addCheck(HealthCheck, HealthCheckType) - Method in class io.helidon.webserver.observe.health.HealthObserverConfig.BuilderBase
Add the provided health check using an explicit type (may differ from the HealthCheck.type().
addCheck(Supplier<HealthCheckResponse>, HealthCheckType, String) - Method in class io.helidon.webserver.observe.health.HealthObserverConfig.BuilderBase
Add a health check using the provided response supplier, type, and name.
addChecks(HealthCheck[]) - Method in class io.helidon.webserver.observe.health.HealthObserverConfig.BuilderBase
Add the provided health checks.
addCidr(String) - Method in class io.helidon.integrations.vault.auths.approle.GenerateSecretId.Request
CIDR blocks enforcing secret IDs to be used from specific set of IP addresses.
addClaimValidator(ClaimValidator) - Method in class io.helidon.security.jwt.JwtValidator.Builder
Add ClaimValidator instance.
addClassAnnotation(Annotation) - Method in class io.helidon.security.SecurityLevel.SecurityLevelBuilder
Add a class annotation to the list of annotations already configured.
addClassAnnotation(Annotation) - Method in class io.helidon.security.SecurityLevel.SecurityLevelBuilder
Add a class annotation to the list of annotations already configured.
addClasspath(ClasspathHandlerConfig) - Method in class io.helidon.webserver.staticcontent.StaticContentConfig.BuilderBase
List of classpath based static content handlers.
addClasspath(Path) - Method in class io.helidon.codegen.compiler.CompilerOptions.BuilderBase
The classpath to pass to the compiler.
addClasspath(Consumer<ClasspathHandlerConfig.Builder>) - Method in class io.helidon.webserver.staticcontent.StaticContentConfig.BuilderBase
List of classpath based static content handlers.
addClasspath(List<? extends ClasspathHandlerConfig>) - Method in class io.helidon.webserver.staticcontent.StaticContentConfig.BuilderBase
List of classpath based static content handlers.
addClasspath(List<? extends Path>) - Method in class io.helidon.codegen.compiler.CompilerOptions.BuilderBase
The classpath to pass to the compiler.
addCommaDelimitedArray(JsonObjectBuilder, String, List<String>) - Static method in class io.helidon.integrations.vault.VaultRequest
Add aa list of values as a comma delimited string instead of a JSON Array.
addCommandLineArgument(String) - Method in class io.helidon.codegen.compiler.CompilerOptions.BuilderBase
The command line arguments to pass to the compiler.
addCommandLineArguments(List<String>) - Method in class io.helidon.codegen.compiler.CompilerOptions.BuilderBase
The command line arguments to pass to the compiler.
addComponent(ComponentTracingConfig) - Method in class io.helidon.tracing.config.TracingConfig.Builder
Add a traced component configuration.
addComponentTypes(List<? extends TypeName>) - Method in class io.helidon.common.types.TypedElementInfo.BuilderBase
Returns the component type names describing the element.
addComputedHeader(ComputedHeader) - Method in class io.helidon.declarative.codegen.model.http.HttpAnnotated.BuilderBase
List of computed header values.
addComputedHeaders(List<? extends ComputedHeader>) - Method in class io.helidon.declarative.codegen.model.http.HttpAnnotated.BuilderBase
List of computed header values.
AddConfig - Annotation Interface in io.helidon.microprofile.testing
Add a configuration key/value pair to the synthetic test configuration.
AddConfig - Annotation Interface in io.helidon.microprofile.testing.junit5
Deprecated.
Use AddConfig instead
AddConfig - Annotation Interface in io.helidon.microprofile.testing.testng
Deprecated.
Use AddConfig instead
AddConfigBlock - Annotation Interface in io.helidon.microprofile.testing
Add a configuration fragment to the synthetic test configuration.
AddConfigBlock - Annotation Interface in io.helidon.microprofile.testing.junit5
Deprecated.
Use AddConfigBlock instead
AddConfigBlock - Annotation Interface in io.helidon.microprofile.testing.testng
Deprecated.
Use AddConfigBlock instead
addConfigBlocks() - Method in interface io.helidon.microprofile.testing.HelidonTestDescriptor
Get the discovered AddConfigBlock annotations.
addConfigBlocks() - Method in class io.helidon.microprofile.testing.HelidonTestDescriptorBase
 
addConfigBlocks() - Method in class io.helidon.microprofile.testing.HelidonTestInfo.ClassInfo
 
addConfigBlocks() - Method in class io.helidon.microprofile.testing.HelidonTestInfo.MethodInfo
 
AddConfigBlocks - Annotation Interface in io.helidon.microprofile.testing
A repeatable container for AddConfigBlock.
addConfigFactories(List<? extends FactoryMethod>) - Method in class io.helidon.builder.codegen.PrototypeInfo.BuilderBase
Factory methods to be used when mapping config to types.
addConfigFactory(FactoryMethod) - Method in class io.helidon.builder.codegen.PrototypeInfo.BuilderBase
Factory methods to be used when mapping config to types.
addConfigFactory(Consumer<FactoryMethod.Builder>) - Method in class io.helidon.builder.codegen.PrototypeInfo.BuilderBase
Factory methods to be used when mapping config to types.
addConfigs() - Method in interface io.helidon.microprofile.testing.HelidonTestDescriptor
Get the discovered AddConfig annotations.
addConfigs() - Method in class io.helidon.microprofile.testing.HelidonTestDescriptorBase
 
addConfigs() - Method in class io.helidon.microprofile.testing.HelidonTestInfo.ClassInfo
 
addConfigs() - Method in class io.helidon.microprofile.testing.HelidonTestInfo.MethodInfo
 
AddConfigs - Annotation Interface in io.helidon.microprofile.testing
A repeatable container for AddConfig.
AddConfigs - Annotation Interface in io.helidon.microprofile.testing.junit5
Deprecated.
Use AddConfigs instead
AddConfigs - Annotation Interface in io.helidon.microprofile.testing.testng
Deprecated.
Use AddConfigs instead
AddConfigSource - Annotation Interface in io.helidon.microprofile.testing
Mark a static method that provides a ConfigSource to add to the synthetic test configuration.
addConfigSources() - Method in interface io.helidon.microprofile.testing.HelidonTestDescriptor
Get the discovered AddConfigSource methods.
addConfigSources() - Method in class io.helidon.microprofile.testing.HelidonTestDescriptorBase
Get the discovered AddConfigSource methods.
addConfigSources() - Method in class io.helidon.microprofile.testing.HelidonTestInfo.ClassInfo
 
addConfigSources() - Method in class io.helidon.microprofile.testing.HelidonTestInfo.MethodInfo
 
addConnectionSelector(ServerConnectionSelector) - Method in class io.helidon.webserver.ListenerConfig.BuilderBase
Explicitly defined connection selectors to be used with this socket.
addConnectionSelectors(List<? extends ServerConnectionSelector>) - Method in class io.helidon.webserver.ListenerConfig.BuilderBase
Explicitly defined connection selectors to be used with this socket.
addConstant(PrototypeConstant) - Method in class io.helidon.builder.codegen.PrototypeInfo.BuilderBase
Constants to be defined on the prototype.
addConstant(Consumer<PrototypeConstant.Builder>) - Method in class io.helidon.builder.codegen.PrototypeInfo.BuilderBase
Constants to be defined on the prototype.
addConstants(List<? extends PrototypeConstant>) - Method in class io.helidon.builder.codegen.PrototypeInfo.BuilderBase
Constants to be defined on the prototype.
addConstructor(Constructor.Builder) - Method in class io.helidon.codegen.classmodel.ClassBase.Builder
Add new constructor to this class.
addConstructor(Consumer<Constructor.Builder>) - Method in class io.helidon.codegen.classmodel.ClassBase.Builder
Add new constructor to this class.
addConsume(String) - Method in class io.helidon.declarative.codegen.model.http.HttpAnnotated.BuilderBase
List of consumed media types (from server endpoint point of view).
addConsumes(List<String>) - Method in class io.helidon.declarative.codegen.model.http.HttpAnnotated.BuilderBase
List of consumed media types (from server endpoint point of view).
addContent(TypeName) - Method in interface io.helidon.codegen.classmodel.ContentBuilder
Add type name to content, correctly handling imports.
addContent(TypeName) - Method in class io.helidon.codegen.classmodel.EnumConstant.Builder
 
addContent(TypeName) - Method in class io.helidon.codegen.classmodel.Executable.Builder
 
addContent(TypeName) - Method in class io.helidon.codegen.classmodel.Field.Builder
 
addContent(Class<?>) - Method in interface io.helidon.codegen.classmodel.ContentBuilder
Obtained type is enclosed between ClassModel.TYPE_TOKEN tokens.
addContent(String) - Method in interface io.helidon.codegen.classmodel.ContentBuilder
Add text line to the content.
addContent(String) - Method in class io.helidon.codegen.classmodel.EnumConstant.Builder
 
addContent(String) - Method in class io.helidon.codegen.classmodel.Executable.Builder
 
addContent(String) - Method in class io.helidon.codegen.classmodel.Field.Builder
 
addContentCreate(Annotation) - Method in interface io.helidon.codegen.classmodel.ContentBuilder
Add content that creates a new Annotation in the generated code that is the same as the annotation provided.
addContentCreate(ResolvedType) - Method in interface io.helidon.codegen.classmodel.ContentBuilder
Add content that creates a new ResolvedType in the generated code that is the same as the type name provided.
addContentCreate(TypedElementInfo) - Method in interface io.helidon.codegen.classmodel.ContentBuilder
Add content that creates a new TypedElementInfo in the generated code that is the same as the element provided.
addContentCreate(TypeName) - Method in interface io.helidon.codegen.classmodel.ContentBuilder
Add content that creates a new TypeName in the generated code that is the same as the type name provided.
addContentEncoding(ContentEncoding) - Method in class io.helidon.http.encoding.ContentEncodingContextConfig.BuilderBase
List of content encodings that should be used.
addContentEncodings(List<? extends ContentEncoding>) - Method in class io.helidon.http.encoding.ContentEncodingContextConfig.BuilderBase
List of content encodings that should be used.
addContentLine() - Method in interface io.helidon.codegen.classmodel.ContentBuilder
Add a new line (empty).
addContentLine(String) - Method in interface io.helidon.codegen.classmodel.ContentBuilder
Add text line to the content.
addContentLiteral(String) - Method in interface io.helidon.codegen.classmodel.ContentBuilder
Adds the provided literal as content, enclosed in double quotes.
addContentTypes(Map<String, ? extends MediaType>) - Method in class io.helidon.webserver.staticcontent.BaseHandlerConfig.BuilderBase
Maps a filename extension to the response content type.
addContentTypes(Map<String, ? extends MediaType>) - Method in class io.helidon.webserver.staticcontent.StaticContentConfig.BuilderBase
Maps a filename extension to the response content type.
addContextValue(Context.Key<T>, T) - Method in interface io.helidon.webserver.grpc.GrpcMethodDescriptor.Rules
Add a Context.Key and value to be added to the call Context when this method is invoked.
addContextValue(Context.Key<V>, V) - Method in class io.helidon.webserver.grpc.GrpcServiceDescriptor.Builder
 
addContextValue(Context.Key<V>, V) - Method in interface io.helidon.webserver.grpc.GrpcServiceDescriptor.Rules
Add value to the Context for the service.
addContract(ResolvedType) - Method in class io.helidon.service.registry.Lookup.BuilderBase
The managed services advertised types (i.e., typically its interfaces, can be through Service.ExternalContracts).
addContract(TypeName) - Method in class io.helidon.service.registry.Lookup.BuilderBase
The managed services advertised types (i.e., typically its interfaces).
addContract(Class<?>) - Method in class io.helidon.service.registry.Lookup.BuilderBase
The managed services advertised types (i.e., typically its interfaces).
addContracts(Set<? extends ResolvedType>) - Method in class io.helidon.service.registry.Lookup.BuilderBase
The managed services advertised types (i.e., typically its interfaces, can be through Service.ExternalContracts).
addContracts(Set<ResolvedType>, HashSet<ResolvedType>, TypeInfo) - Method in class io.helidon.service.codegen.ServiceContracts
Add contracts from the type (from its implemented interfaces and super types).
addConverter(JsonConverter<?>) - Method in class io.helidon.json.binding.JsonBindingConfig.BuilderBase
Add type converter.
addCookie(SetCookie) - Method in interface io.helidon.http.ServerResponseHeaders
Adds Set-Cookie header specified in RFC6265.
addCookie(String, String) - Method in interface io.helidon.http.ServerResponseHeaders
Adds Set-Cookie header based on RFC2616.
addCookie(String, String, Duration) - Method in interface io.helidon.http.ServerResponseHeaders
Adds Set-Cookie header based on RFC6265 with Max-Age parameter.
addCountry(String) - Method in class io.helidon.integrations.vault.secrets.pki.PkiRole.Request
Adds the C (Country) value in the subject field of issued certificates.
addCreationStatement(String) - Method in class io.helidon.integrations.vault.secrets.database.DbCreateRole.Request
Specifies the database statements executed to create and configure a user.
addCriticalValidator() - Method in class io.helidon.security.jwt.JwtValidator.Builder
Add new "crit" claim validator.
addCrossOrigin(CrossOriginConfig) - Method in class io.helidon.cors.CorsSupportBase.Builder
Deprecated.
Adds cross origin information associated with the default path.
addCrossOrigin(String, CrossOriginConfig) - Method in class io.helidon.cors.CorsSupportBase.Builder
Deprecated.
Adds cross origin information associated with a given path.
addCustomHeaders(Map<String, String>) - Method in class io.helidon.integrations.langchain4j.providers.ollama.OllamaChatModelConfig.BuilderBase
Generated from OllamaBaseChatModel.Builder.customHeaders(java.util.Map) This method keeps existing values, then puts all new values into the map.
addCustomHeaders(Map<String, String>) - Method in class io.helidon.integrations.langchain4j.providers.ollama.OllamaEmbeddingModelConfig.BuilderBase
Generated from OllamaEmbeddingModel.OllamaEmbeddingModelBuilder.customHeaders(java.util.Map) This method keeps existing values, then puts all new values into the map.
addCustomHeaders(Map<String, String>) - Method in class io.helidon.integrations.langchain4j.providers.ollama.OllamaLanguageModelConfig.BuilderBase
Generated from OllamaLanguageModel.OllamaLanguageModelBuilder.customHeaders(java.util.Map) This method keeps existing values, then puts all new values into the map.
addCustomHeaders(Map<String, String>) - Method in class io.helidon.integrations.langchain4j.providers.ollama.OllamaStreamingChatModelConfig.BuilderBase
Generated from OllamaBaseChatModel.Builder.customHeaders(java.util.Map) This method keeps existing values, then puts all new values into the map.
addCustomHeaders(Map<String, String>) - Method in class io.helidon.integrations.langchain4j.providers.openai.OpenAiChatModelConfig.BuilderBase
Generated from OpenAiChatModel.OpenAiChatModelBuilder.customHeaders(java.util.Map) This method keeps existing values, then puts all new values into the map.
addCustomHeaders(Map<String, String>) - Method in class io.helidon.integrations.langchain4j.providers.openai.OpenAiEmbeddingModelConfig.BuilderBase
Generated from OpenAiEmbeddingModel.OpenAiEmbeddingModelBuilder.customHeaders(java.util.Map) This method keeps existing values, then puts all new values into the map.
addCustomHeaders(Map<String, String>) - Method in class io.helidon.integrations.langchain4j.providers.openai.OpenAiImageModelConfig.BuilderBase
Generated from OpenAiImageModel.OpenAiImageModelBuilder.customHeaders(java.util.Map) This method keeps existing values, then puts all new values into the map.
addCustomHeaders(Map<String, String>) - Method in class io.helidon.integrations.langchain4j.providers.openai.OpenAiLanguageModelConfig.BuilderBase
Generated from OpenAiLanguageModel.OpenAiLanguageModelBuilder.customHeaders(java.util.Map) This method keeps existing values, then puts all new values into the map.
addCustomHeaders(Map<String, String>) - Method in class io.helidon.integrations.langchain4j.providers.openai.OpenAiModerationModelConfig.BuilderBase
Generated from OpenAiModerationModel.OpenAiModerationModelBuilder.customHeaders(java.util.Map) This method keeps existing values, then puts all new values into the map.
addCustomHeaders(Map<String, String>) - Method in class io.helidon.integrations.langchain4j.providers.openai.OpenAiStreamingChatModelConfig.BuilderBase
Generated from OpenAiStreamingChatModel.OpenAiStreamingChatModelBuilder.customHeaders(java.util.Map) This method keeps existing values, then puts all new values into the map.
addCustomParameters(Map<String, ?>) - Method in class io.helidon.integrations.langchain4j.providers.openai.OpenAiChatModelConfig.BuilderBase
Generated from OpenAiChatModel.OpenAiChatModelBuilder.customParameters(java.util.Map) This method keeps existing values, then puts all new values into the map.
addCustomParameters(Map<String, ?>) - Method in class io.helidon.integrations.langchain4j.providers.openai.OpenAiStreamingChatModelConfig.BuilderBase
Generated from OpenAiStreamingChatModel.OpenAiStreamingChatModelBuilder.customParameters(java.util.Map) This method keeps existing values, then puts all new values into the map.
addCustomQueryParams(Map<String, String>) - Method in class io.helidon.integrations.langchain4j.providers.openai.OpenAiChatModelConfig.BuilderBase
Generated from OpenAiChatModel.OpenAiChatModelBuilder.customQueryParams(java.util.Map) This method keeps existing values, then puts all new values into the map.
addCustomQueryParams(Map<String, String>) - Method in class io.helidon.integrations.langchain4j.providers.openai.OpenAiEmbeddingModelConfig.BuilderBase
Generated from OpenAiEmbeddingModel.OpenAiEmbeddingModelBuilder.customQueryParams(java.util.Map) This method keeps existing values, then puts all new values into the map.
addCustomQueryParams(Map<String, String>) - Method in class io.helidon.integrations.langchain4j.providers.openai.OpenAiImageModelConfig.BuilderBase
Generated from OpenAiImageModel.OpenAiImageModelBuilder.customQueryParams(java.util.Map) This method keeps existing values, then puts all new values into the map.
addCustomQueryParams(Map<String, String>) - Method in class io.helidon.integrations.langchain4j.providers.openai.OpenAiLanguageModelConfig.BuilderBase
Generated from OpenAiLanguageModel.OpenAiLanguageModelBuilder.customQueryParams(java.util.Map) This method keeps existing values, then puts all new values into the map.
addCustomQueryParams(Map<String, String>) - Method in class io.helidon.integrations.langchain4j.providers.openai.OpenAiModerationModelConfig.BuilderBase
Generated from OpenAiModerationModel.OpenAiModerationModelBuilder.customQueryParams(java.util.Map) This method keeps existing values, then puts all new values into the map.
addCustomQueryParams(Map<String, String>) - Method in class io.helidon.integrations.langchain4j.providers.openai.OpenAiStreamingChatModelConfig.BuilderBase
Generated from OpenAiStreamingChatModel.OpenAiStreamingChatModelBuilder.customQueryParams(java.util.Map) This method keeps existing values, then puts all new values into the map.
addDaysOfWeek(DayOfWeek...) - Method in class io.helidon.security.abac.time.TimeValidator.TimeConfig.Builder
Add a new "day of week" configuration.
addDaysOfWeek(List<DayOfWeek>) - Method in class io.helidon.security.abac.time.TimeValidator.TimeConfig.Builder
Add a new "day of week" configuration.
addDefaultCookies(Map<String, String>) - Method in class io.helidon.webclient.api.WebClientCookieManagerConfig.BuilderBase
Map of default cookies to include in all requests if cookies enabled.
addDefaultHeadersMap(Map<String, String>) - Method in class io.helidon.webclient.api.HttpClientConfig.BuilderBase
Default headers to be used in every request from configuration.
addDefaults() - Method in interface io.helidon.webserver.cors.CorsConfig
Whether to add a default path configuration, that matches all paths, GET, HEAD, POST methods, and allows all origins, methods, and headers.
addDefaults() - Method in class io.helidon.webserver.cors.CorsConfig.BuilderBase
Whether to add a default path configuration, that matches all paths, GET, HEAD, POST methods, and allows all origins, methods, and headers.
addDefaults() - Method in class io.helidon.webserver.cors.CorsConfig.BuilderBase.CorsConfigImpl
 
addDefaults(boolean) - Method in class io.helidon.webserver.cors.CorsConfig.BuilderBase
Whether to add a default path configuration, that matches all paths, GET, HEAD, POST methods, and allows all origins, methods, and headers.
addDefaultTimeValidators() - Method in class io.helidon.security.jwt.JwtValidator.Builder
Add default time validators.
addDefaultTimeValidators(Instant, Duration, boolean) - Method in class io.helidon.security.jwt.JwtValidator.Builder
Add default time validators with specific time settings.
addDefaultValue(String) - Method in class io.helidon.common.context.http.ContextRecordConfig.BuilderBase
Default values to send if not configured in context.
addDefaultValues(List<String>) - Method in class io.helidon.common.context.http.ContextRecordConfig.BuilderBase
Default values to send if not configured in context.
addDenied(String) - Method in class io.helidon.common.configurable.AllowListConfig.BuilderBase
Exact strings to deny.
addDenied(Predicate<String>) - Method in class io.helidon.common.configurable.AllowListConfig.BuilderBase
Deny predicates.
addDenied(List<String>) - Method in class io.helidon.common.configurable.AllowListConfig.BuilderBase
Exact strings to deny.
addDeniedPattern(Pattern) - Method in class io.helidon.common.configurable.AllowListConfig.BuilderBase
Patterns specifying strings to deny.
addDeniedPatterns(List<? extends Pattern>) - Method in class io.helidon.common.configurable.AllowListConfig.BuilderBase
Patterns specifying strings to deny.
addDeniedPredicates(List<Predicate<String>>) - Method in class io.helidon.common.configurable.AllowListConfig.BuilderBase
Deny predicates.
addDeniedPrefix(String) - Method in class io.helidon.common.configurable.AllowListConfig.BuilderBase
Prefixes specifying strings to deny.
addDeniedPrefixes(List<String>) - Method in class io.helidon.common.configurable.AllowListConfig.BuilderBase
Prefixes specifying strings to deny.
addDeniedSuffix(String) - Method in class io.helidon.common.configurable.AllowListConfig.BuilderBase
Suffixes specifying strings to deny.
addDeniedSuffixes(List<String>) - Method in class io.helidon.common.configurable.AllowListConfig.BuilderBase
Suffixes specifying strings to deny.
addDeprecatedFactoryMethods(List<? extends DeprecatedFactoryMethod>) - Method in class io.helidon.builder.codegen.PrototypeInfo.BuilderBase
Deprecated, for removal: This API element is subject to removal in a future version.
addDescriptionLine(String) - Method in class io.helidon.codegen.classmodel.ClassBase.Builder
 
addDescriptionLine(String) - Method in class io.helidon.codegen.classmodel.ClassModel.Builder
 
addDescriptionLine(String) - Method in class io.helidon.codegen.classmodel.Constructor.Builder
 
addDescriptionLine(String) - Method in class io.helidon.codegen.classmodel.EnumConstant.Builder
 
addDescriptionLine(String) - Method in class io.helidon.codegen.classmodel.Executable.Builder
 
addDescriptionLine(String) - Method in class io.helidon.codegen.classmodel.Field.Builder
 
addDescriptionLine(String) - Method in class io.helidon.codegen.classmodel.InnerClass.Builder
 
addDescriptionLine(String) - Method in class io.helidon.codegen.classmodel.Method.Builder
 
addDescriptionLine(String) - Method in class io.helidon.codegen.classmodel.Parameter.Builder
 
addDescriptor(TypeName, TypeName, ClassModel.Builder, double, Set<ResolvedType>, Set<ResolvedType>, Object...) - Method in interface io.helidon.service.codegen.RegistryRoundContext
Add a new service descriptor.
addDeserializer(JsonDeserializer<?>) - Method in class io.helidon.json.binding.JsonBindingConfig.BuilderBase
Registered type deserializers.
addDeserializers(List<JsonDeserializer<?>>) - Method in class io.helidon.json.binding.JsonBindingConfig.BuilderBase
Registered type deserializers.
addDigest(String, DigestProvider<T>, T) - Method in class io.helidon.security.Security.Builder
Add a signature/HMAC to security configuration.
addDigestProvider(DigestProvider<?>, String) - Method in class io.helidon.security.Security.Builder
Add a named digest provider (providing signatures and possibly HMAC).
addDigestQop(HttpDigest.Qop) - Method in class io.helidon.security.providers.httpauth.HttpDigestAuthProvider.Builder
Digest QOP to support.
addDisallowedPolicy(String) - Method in class io.helidon.integrations.vault.auths.token.CreateTokenRole.Request
If set, successful token creation via this role will require that no policies in the given list are requested.
addDiscoveryType(RequestedUriDiscoveryContext.RequestedUriDiscoveryType) - Method in class io.helidon.http.RequestedUriDiscoveryContext.Builder
Adds a discovery type for requested URI discovery for requests arriving on the socket.
addDocument(Object) - Method in class io.helidon.integrations.langchain4j.providers.oci.genai.OciGenAiCohereChatModelConfig.BuilderBase
Generated from BaseCohereChatModel.Builder.documents(java.util.List)
addDocument(Object) - Method in class io.helidon.integrations.langchain4j.providers.oci.genai.OciGenAiCohereStreamingChatModelConfig.BuilderBase
Generated from BaseCohereChatModel.Builder.documents(java.util.List)
addDocuments(List<?>) - Method in class io.helidon.integrations.langchain4j.providers.oci.genai.OciGenAiCohereChatModelConfig.BuilderBase
Generated from BaseCohereChatModel.Builder.documents(java.util.List)
addDocuments(List<?>) - Method in class io.helidon.integrations.langchain4j.providers.oci.genai.OciGenAiCohereStreamingChatModelConfig.BuilderBase
Generated from BaseCohereChatModel.Builder.documents(java.util.List)
addDoubleAttributes(Map<String, Double>) - Method in class io.helidon.telemetry.otelconfig.TypedAttributes.BuilderBase
Double attributes.
addDynamicDml(Method.Builder, RepositoryInfo, TypedElementInfo, MethodParams, DataQuery, TypeName) - Method in interface io.helidon.data.codegen.common.spi.PersistenceGenerator.StatementGenerator
Add code to execute dynamic DML statement.
[...]
